<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionVehicleTwoWheelAxle Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dd9/a07349.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionVehicleTwoWheelAxle Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionVehicleTwoWheelAxle:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/dd9/a07349.png" usemap="#ExpansionVehicleTwoWheelAxle_map" alt=""/>
  <map id="ExpansionVehicleTwoWheelAxle_map" name="ExpansionVehicleTwoWheelAxle_map">
<area href="../../de/d28/a07261.html" alt="ExpansionVehicleAxle" shape="rect" coords="0,0,196,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a0e86d5778d3476d4019e72e797a31e57"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#a0e86d5778d3476d4019e72e797a31e57">Init</a> ()</td></tr>
<tr class="separator:a0e86d5778d3476d4019e72e797a31e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17ee83fcc2c671f5df76a2540eaf6d7c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d8/d25/a07353.html">ExpansionVehicleWheel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#a17ee83fcc2c671f5df76a2540eaf6d7c">AddWheel</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> pName)</td></tr>
<tr class="separator:a17ee83fcc2c671f5df76a2540eaf6d7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd3d347f171f3001733fd73f59a5ec8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#aafd3d347f171f3001733fd73f59a5ec8">PreSimulate</a> (<a class="el" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a> pState)</td></tr>
<tr class="separator:aafd3d347f171f3001733fd73f59a5ec8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa2f08f0863a796ebb813233bfae3793b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#aa2f08f0863a796ebb813233bfae3793b">m_AntiRollForce</a></td></tr>
<tr class="separator:aa2f08f0863a796ebb813233bfae3793b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9909764f1999c9227db81fa49312b731"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d25/a07353.html">ExpansionVehicleWheel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#a9909764f1999c9227db81fa49312b731">m_Left</a></td></tr>
<tr class="separator:a9909764f1999c9227db81fa49312b731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bb2b9b5bf669628883ee37c8d4e46ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d25/a07353.html">ExpansionVehicleWheel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#a5bb2b9b5bf669628883ee37c8d4e46ab">m_Right</a></td></tr>
<tr class="separator:a5bb2b9b5bf669628883ee37c8d4e46ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1768b69ab6a3d2547890771b9d5d6fa"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#ad1768b69ab6a3d2547890771b9d5d6fa">m_RawSteering</a> = true</td></tr>
<tr class="separator:ad1768b69ab6a3d2547890771b9d5d6fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91c7ef17254540eaa76e6ae7354fcec6"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#a91c7ef17254540eaa76e6ae7354fcec6">m_TurnRadius</a></td></tr>
<tr class="separator:a91c7ef17254540eaa76e6ae7354fcec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc2e985deae68efcf47331f995ccb5eb"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#afc2e985deae68efcf47331f995ccb5eb">m_WheelBase</a></td></tr>
<tr class="separator:afc2e985deae68efcf47331f995ccb5eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7456264a9b91c31f121483ceeb6aadfa"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd9/a07349.html#a7456264a9b91c31f121483ceeb6aadfa">m_WheelOffset</a></td></tr>
<tr class="separator:a7456264a9b91c31f121483ceeb6aadfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/dea/a02927.html">ExpansionVehicleTwoWheelAxle.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00013">13</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a17ee83fcc2c671f5df76a2540eaf6d7c" name="a17ee83fcc2c671f5df76a2540eaf6d7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17ee83fcc2c671f5df76a2540eaf6d7c">&#9670;&#160;</a></span>AddWheel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d8/d25/a07353.html">ExpansionVehicleWheel</a> ExpansionVehicleTwoWheelAxle::AddWheel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>pName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00063">63</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<a id="a0e86d5778d3476d4019e72e797a31e57" name="a0e86d5778d3476d4019e72e797a31e57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e86d5778d3476d4019e72e797a31e57">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionVehicleTwoWheelAxle::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00026">26</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<a id="aafd3d347f171f3001733fd73f59a5ec8" name="aafd3d347f171f3001733fd73f59a5ec8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafd3d347f171f3001733fd73f59a5ec8">&#9670;&#160;</a></span>PreSimulate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionVehicleTwoWheelAxle::PreSimulate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00079">79</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa2f08f0863a796ebb813233bfae3793b" name="aa2f08f0863a796ebb813233bfae3793b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2f08f0863a796ebb813233bfae3793b">&#9670;&#160;</a></span>m_AntiRollForce</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleTwoWheelAxle::m_AntiRollForce</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00015">15</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<a id="a9909764f1999c9227db81fa49312b731" name="a9909764f1999c9227db81fa49312b731"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9909764f1999c9227db81fa49312b731">&#9670;&#160;</a></span>m_Left</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d25/a07353.html">ExpansionVehicleWheel</a> ExpansionVehicleTwoWheelAxle::m_Left</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00017">17</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<a id="ad1768b69ab6a3d2547890771b9d5d6fa" name="ad1768b69ab6a3d2547890771b9d5d6fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1768b69ab6a3d2547890771b9d5d6fa">&#9670;&#160;</a></span>m_RawSteering</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleTwoWheelAxle::m_RawSteering = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00020">20</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<a id="a5bb2b9b5bf669628883ee37c8d4e46ab" name="a5bb2b9b5bf669628883ee37c8d4e46ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bb2b9b5bf669628883ee37c8d4e46ab">&#9670;&#160;</a></span>m_Right</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d25/a07353.html">ExpansionVehicleWheel</a> ExpansionVehicleTwoWheelAxle::m_Right</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00018">18</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<a id="a91c7ef17254540eaa76e6ae7354fcec6" name="a91c7ef17254540eaa76e6ae7354fcec6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91c7ef17254540eaa76e6ae7354fcec6">&#9670;&#160;</a></span>m_TurnRadius</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleTwoWheelAxle::m_TurnRadius</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00022">22</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<a id="afc2e985deae68efcf47331f995ccb5eb" name="afc2e985deae68efcf47331f995ccb5eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc2e985deae68efcf47331f995ccb5eb">&#9670;&#160;</a></span>m_WheelBase</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleTwoWheelAxle::m_WheelBase</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00023">23</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<a id="a7456264a9b91c31f121483ceeb6aadfa" name="a7456264a9b91c31f121483ceeb6aadfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7456264a9b91c31f121483ceeb6aadfa">&#9670;&#160;</a></span>m_WheelOffset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionVehicleTwoWheelAxle::m_WheelOffset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dea/a02927_source.html#l00024">24</a> of file <a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/vehicles/modules/<a class="el" href="../../d5/dea/a02927_source.html">expansionvehicletwowheelaxle.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/dd9/a07349.html">ExpansionVehicleTwoWheelAxle</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
